// creator  : weidu.exe (version 23100)
// argument : OBSSOL02.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~OBSSOL02~ 4 // non-zero flags may indicate non-pausing dialogue

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
  SAY #33066 /* ~Is this place not frightening but wondrous at the same time?  By my Oath I have never been to such an interesting domain.~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #33067 /* ~Excuse my rudeness, I am Onvo, Knight of the Sword.  We are far from my homeland, trapped here much as you, I suspect.~ */
  IF ~~ THEN REPLY #33068 /* ~Where might your homeland be?~ */ GOTO 2
  IF ~GlobalLT("GolemCreate","AR0411",4)~ THEN REPLY #33069 /* ~Of the wonders you have seen, what has most bewitched you?~ */ GOTO 3
  IF ~~ THEN REPLY #33070 /* ~Knight of the Sword?~ */ GOTO 5
  IF ~~ THEN REPLY #33072 /* ~Trapped?~ */ GOTO 6
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #33071 /* ~I hail from Ansalon but I fear I will never see my beloved land again.  I am in a place that exists neither here nor there.  At least there is much to see, but I long for home.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from: 10.1 1.1
  SAY #33073 /* ~Past the bone room you will find a chamber full of magical equipment.  There is one large tube holding a damaged golem that is missing its head and arm.  Whoever sought to repair it was interrupted in his work.~ */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #33074 /* ~That magician's study reminds me of my brother Elic's room, back when he studied to become a wizard.  That room, so alien yet so familiar, stirs me the most.  That said, there was a presence there that... that worried me. I did not scout further than that room.~ */
  IF ~~ THEN REPLY #33081 /* ~That sounds interesting, perhaps I may explore that way.~ */ GOTO 7
  IF ~~ THEN REPLY #33082 /* ~Ha!  Coward.  I will explore those rooms that frightened you so.~ */ UNSOLVED_JOURNAL #7241 /* ~Inside the planar sphere.

Onvo, one of the Knights of Solamnia trapped in the sphere, warned me of a wizard's room nearby that contains a damaged golem.~ */ GOTO 9
  IF ~~ THEN REPLY #33083 /* ~Thanks for your time, good bye.~ */ UNSOLVED_JOURNAL #7241 /* ~Inside the planar sphere.

Onvo, one of the Knights of Solamnia trapped in the sphere, warned me of a wizard's room nearby that contains a damaged golem.~ */ GOTO 7
END

IF ~~ THEN BEGIN 5 // from: 1.2
  SAY #33075 /* ~I am a Knight of Solamnia.  There are three Orders of Solamnic Knights; Crown, Sword and Rose.  Reyna is a Knight of the Crown and Ancan is a Knight of the Rose.~ */
  IF ~~ THEN REPLY #33079 /* ~Thank you for the lesson Onvo, but I must be going.~ */ UNSOLVED_JOURNAL #10047 /* ~Inside the planar sphere.

I have encountered three knights who call themselves 'Knights of Solamnia', who claim to be from a world named Ansalon.  They have been trapped inside the sphere.~ [phe] */ GOTO 7
  IF ~~ THEN REPLY #33080 /* ~Good luck to you, I shall be on my way now.~ */ UNSOLVED_JOURNAL #10047 /* ~Inside the planar sphere.

I have encountered three knights who call themselves 'Knights of Solamnia', who claim to be from a world named Ansalon.  They have been trapped inside the sphere.~ [phe] */ GOTO 7
END

IF ~~ THEN BEGIN 6 // from: 1.3
  SAY #33076 /* ~My fellow Knights and I searched most of this place but we could not find any exits.~ */
  IF ~~ THEN REPLY #33077 /* ~I plan to escape these twisted corridors.~ */ GOTO 8
  IF ~~ THEN REPLY #33078 /* ~I must be going now.~ */ GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 10.0 6.1 5.1 5.0 4.2 4.0
  SAY #33084 /* ~Fare thee well.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 8 // from: 6.0
  SAY #33085 /* ~I wish you well.  I hope you think to help us from our imprisonment as well, if you do escape.  Good bye.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 9 // from: 4.1
  SAY #33086 /* ~A coward I am not.  Remove yourself from my sight or draw your weapons now and be done with it.~ */
  IF ~~ THEN EXIT
END

IF ~NumTimesTalkedToGT(0)~ THEN BEGIN 10 // from:
  SAY #33087 /* ~Greetings again.  What do you need?~ */
  IF ~~ THEN REPLY #33088 /* ~Nothing, good bye.~ */ GOTO 7
  IF ~~ THEN REPLY #33089 /* ~Did you discover anything interesting?~ */ GOTO 3
END
